acquire_console_sem
Prev | Kernel utility functions | Next

## Name

acquire_console_sem — lock the console system for exclusive use.

## Synopsis

`void acquire_console_sem (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

Acquires a semaphore which guarantees that the caller has exclusive access to the console system and the console_drivers list.

Can sleep, returns nothing.

Prev | Up | Next
printk | Home | release_console_sem